Skip to content
Start here

Update User Subscription

user.subscriptions.update(stridentifier, SubscriptionUpdateParams**kwargs) -> SubscriptionUpdateResponse
PUT/user/subscriptions/{identifier}

Updates a user's subscriptions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing Write
ParametersExpand Collapse
identifier: str

Subscription identifier tag.

maxLength32
frequency: Optional[Literal["weekly", "monthly", "quarterly", "yearly"]]

How often the subscription is renewed automatically.

One of the following:
"weekly"
"monthly"
"quarterly"
"yearly"
rate_plan: Optional[RatePlan]

The rate plan applied to the subscription.

id: Optional[Literal["free", "lite", "pro", 7 more]]

The ID of the rate plan.

One of the following:
"free"
"lite"
"pro"
"pro_plus"
"business"
"enterprise"
"partners_free"
"partners_pro"
"partners_business"
"partners_enterprise"
currency: Optional[str]

The currency applied to the rate plan subscription.

externally_managed: Optional[bool]

Whether this rate plan is managed externally from Cloudflare.

is_contract: Optional[bool]

Whether a rate plan is enterprise-based (or newly adopted term contract).

public_name: Optional[str]

The full name of the rate plan.

scope: Optional[str]

The scope that this rate plan applies to.

sets: Optional[List[str]]

The list of sets this rate plan applies to. Returns array of strings.

ReturnsExpand Collapse
Union[Optional[str], Optional[object]]
One of the following:
Optional[str]
Optional[object]

Update User Subscription

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
subscription = client.user.subscriptions.update(
    identifier="506e3185e9c882d175a2d0cb0093d9f2",
)
print(subscription)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}